package com.usoftchina.bi.server.model.bo;

public class Column {
    private String columnName;
    private String columnRename;
    private String columnType;               //列类型
    private String showDataType;                 //展示数据类型，x轴只有time类型中有类别，Y轴为sum，max,min等
    private String showDataLable;               //对应showDataType(中文)

    public String getColumnName() {
        return columnName;
    }

    public void setColumnName(String columnName) {
        this.columnName = columnName;
    }

    public String getColumnRename() {
        return columnRename;
    }

    public void setColumnRename(String columnRename) {
        this.columnRename = columnRename;
    }

    public String getColumnType() {
        return columnType;
    }

    public void setColumnType(String columnType) {
        this.columnType = columnType;
    }

    public String getShowDataType() {
        return showDataType;
    }

    public void setShowDataType(String showDataType) {
        this.showDataType = showDataType;
    }

    public String getShowDataLable() {
        return showDataLable;
    }

    public void setShowDataLable(String showDataLable) {
        this.showDataLable = showDataLable;
    }

    @Override
    public String toString() {
        return "Column{" +
                "columnName='" + columnName + '\'' +
                ", columnRename='" + columnRename + '\'' +
                ", columnType='" + columnType + '\'' +
                ", showDataType='" + showDataType + '\'' +
                ", showDataLable='" + showDataLable + '\'' +
                '}';
    }
}
